import { URL } from 'url';
export default {
    name: 'formatUrl',
    callback: (url, options) => {
        const args = {
            protocol: false,
            hostname: true,
            pathname: false,
            search: false,
            hash: false,
            ...options?.hash
        };
        let output = '';
        try {
            const parsedUrl = new URL(url);
            if (args.protocol)
                output += `${parsedUrl.protocol}//`;
            if (args.hostname)
                output += parsedUrl.hostname;
            if (args.pathname)
                output += parsedUrl.pathname;
            if (args.search)
                output += parsedUrl.search;
            if (args.hash)
                output += parsedUrl.hash;
        }
        catch {
            throw new Error(`Invalid URL passed to the formatUrl helper: "${url}"`);
        }
        return output;
    }
};
