export default function (options) {
    options = {
        isExternal: href => /^https?:\/\//.test(href),
        noopener: true,
        noreferrer: true,
        target: undefined,
        ...options
    };
    return {
        transform: doc => {
            doc.querySelectorAll('a').forEach((link) => {
                if (options.isExternal(link.href)) {
                    const rel = [];
                    if (options.noopener)
                        rel.push('noopener');
                    if (options.noreferrer)
                        rel.push('noreferrer');
                    if (rel.length) {
                        link.setAttribute('rel', rel.join(' '));
                    }
                    if (options.target) {
                        link.setAttribute('target', options.target);
                    }
                }
            });
            return doc;
        }
    };
}
