export interface DoxicityConfig {
    assetFolderName: string;
    cleanOnPublish: boolean;
    copyAssets: string[];
    data: {
        [key: string]: unknown;
    };
    dev: boolean;
    helpers: DoxicityHelper[];
    inputDir: string;
    outputDir: string;
    partials: DoxicityPartial[];
    plugins: DoxicityPlugin[];
    themeDir: string;
    themeFolderName: string;
}
export interface DoxicityPage {
    inputFile: string;
    outputFile: string;
    data: Record<string, unknown>;
}
export interface DoxicityHelper {
    name: string;
    callback: (args: unknown) => string;
}
export interface DoxicityPartial {
    name: string;
    template: string;
}
export interface DoxicityPlugin {
    transform?: (doc: Document, page: DoxicityPage, config: DoxicityConfig) => Document | Promise<Document>;
    afterTransform?: (html: string, page: DoxicityPage, config: DoxicityConfig) => string | Promise<string>;
    afterAll?: (pages: DoxicityPage[], config: DoxicityConfig) => void | Promise<void>;
}
